;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Hyper Motions |--------------------------------------------------------
; Hyper Kicks
[Command]
name = "HyperKicks"
command = ~D, D, F, a
time = 20
[Command]
name = "HyperKicks"   
command = ~D, D, F, b
time = 20
[Command]
name = "HyperKicks"
command = ~D, D, F, c
time = 20

[Command]
name = "hfk1"
command = ~D, DB, B,D, DB, B, a
time = 30
[Command]
name = "hfk2"
command = ~D, DB, B,D, DB, B, b
time = 30
[Command]
name = "hfk3"
command = ~D, DB, B,D, DB, B, c
time = 30

;------------------------------
;
[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, x;~F, D, DF, F, D, DF, x
time = 20

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 20

;-| Special Motions |------------------------------------------------------
;Air Twister
[Command]
name = "upper_a"
command = ~D, DB, B, a
[Command]
name = "upper_b"
command = ~D, DB, B, b
[Command]
name = "upper_c"
command = ~D, DB, B, c

;------------------------------
;Fire Kick
[Command]
name = "QCF_a"
command = ~D, DF, F, a
time = 10
[Command]
name = "QCF_b"
command = ~D, DF, F, b
time = 10
[Command]
name = "QCF_c"
command = ~D, DF, F, c
time = 10

;-------------------------------
;Spin Frenzy
[Command]
name = "SFa"
command = ~F, D, DF, F, a
time = 25
[Command]
name = "SFb"
command = ~F, D, DF, F, b
time = 25
[Command]
name = "SFc"
command = ~F, D, DF, F, c
time = 25

;-------------------------------

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_xy"
command = ~D, DB, B, x+y

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1
[Command]
name = "recovery";Required (do not remove)
command = x+z
time = 1
[Command]
name = "recovery";Required (do not remove)
command = y+z
time = 1

[Command]
name = "2k";Required (do not remove)
command = a+b
time = 1
[Command]
name = "2k";Required (do not remove)
command = a+c
time = 1
[Command]
name = "2k";Required (do not remove)
command = b+c
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1
[Command]
name = "b"
command = b
time = 1
[Command]
name = "c"
command = c
time = 1
[Command]
name = "x"
command = x
time = 1
[Command]
name = "y"
command = y
time = 1
[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "D"
command = D
time = 1
[Command]
name = "U"
command = U
time = 1
[Command]
name = "F"
command = F
time = 1
[Command]
name = "B"
command = B
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry

; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;=== ESPECIAL ==============================================================
;===========================================================================
;---------------------------------------------------------------------------
; Hyper Kicks
[State -1, Triple Kung Fu Palm]
type = ChangeState
value = 3000
triggerall = command = "HyperKicks"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,3050)
trigger2 = movecontact


;------------------------------------------------------------------------------
;Light Fire Kick
[State -1, Light Fire Kick]
type = ChangeState
value = 4000
triggerall = power >= 3000
triggerall = command = "hfk1" || command = "hfk2" || command = "hfk3"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = (stateno=[200,450]) && movecontact


;===========================================================================
;This is not a move, but it sets up var(1) to be 1 if conditions are right
;for a combo into a special move (used below).
;Since a lot of special moves rely on the same conditions, this reduces
;redundant logic.
[State -1, Combo condition Reset]
type = VarSet
trigger1 = 1
var(1) = 0

[State -1, Combo condition Check]
type = VarSet
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
var(1) = 1

;===========================================================================
;=== TECNICAS ==============================================================
;===========================================================================
;---------------------------------------------------------------------------
;Light Spin Frenzy
[State -1, Light Kung Fu Blow]
type = ChangeState
value = 1200
triggerall = command = "SFa"
triggerall = statetype = S
trigger1 = var(1) ;Use combo condition (above)
trigger1 = ctrl
trigger2 = (stateno=[200,450]) && movecontact

;----------------------------------------
;Medium Spin Frenzy
[State -1, Strong Kung Fu Blow]
type = ChangeState
value = 1210
triggerall = command = "SFb"
triggerall = statetype = S
trigger1 = var(1) ;Use combo condition (above)
trigger1 = ctrl
trigger2 = (stateno=[200,450]) && movecontact

;----------------------------------------
;Strong Spin Frenzy
[State -1, Fast Kung Fu Blow]
type = ChangeState
value = 1220
triggerall = command = "SFc"
triggerall = statetype = S
trigger1 = var(1) ;Use combo condition (above)
trigger1 = ctrl
trigger2 = (stateno=[200,450]) && movecontact


;------------------------------------------------------------------------------
;Light Fire Kick
[State -1, Light Fire Kick]
type = ChangeState
value = 1000
triggerall = command = "QCF_a"
triggerall = statetype = S
trigger1 = var(1) ;Use combo condition (above)
trigger1 = ctrl
trigger2 = (stateno=[200,450]) && movecontact

;------------------------------------------------
;Medium Fire Kick
[State -1, Medium Fire Kick]
type = ChangeState
value = 1010
triggerall = command = "QCF_b"
triggerall = statetype = S
trigger1 = var(1) ;Use combo condition (above)
trigger1 = ctrl
trigger2 = (stateno=[200,450]) && movecontact

;-------------------------------------------------
;Strong Fire Kick
[State -1, Strong Fire Kick]
type = ChangeState
value = 1020
triggerall = command = "QCF_c"
triggerall = statetype = S
trigger1 = var(1)
trigger1 = ctrl
trigger2 = (stateno=[200,450]) && movecontact


;---------------------------------------------------------------------------
;Air Fire Kick
[State -1, Air Fire Kick]
type = ChangeState
value = 1050
triggerall = command = "QCF_a" || command = "QCF_b" || command = "QCF_c"
triggerall = statetype = A
triggerall = anim != 1050
trigger1 = ctrl
trigger2 = (stateno=[600,650]) && movecontact


;---------------------------------------------------------------------------
;Light Air Twister
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = command = "upper_a"
trigger1 = var(1)
trigger2 = (stateno=[200,450]) && movecontact

;----------------------------------------
;Medium Air Twister
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1110
triggerall = command = "upper_b"
trigger1 = var(1) ;Use combo condition (above)
trigger2 = (stateno=[200,450]) && movecontact

;----------------------------------------
;Strong Air Twister
[State -1, Fast Kung Fu Upper]
type = ChangeState
value = 1120
triggerall = command = "upper_c"
trigger1 = var(1) ;Use combo condition (above)
trigger2 = (stateno=[200,450]) && movecontact


;===========================================================================
;=== ALPHA COUNTER ======================================================================
;===========================================================================
; Alpha Counter
[State -1, Counter]
type = ChangeState
value = 990
triggerall = command = "recovery"
triggerall = statetype != A
trigger1 = stateno = 150
trigger2 = stateno = 151
trigger3 = stateno = 152
trigger4 = stateno = 153

;===========================================================================
;=== RUN ========================================================================
;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;=== AGARRAO ========================================================================
;===========================================================================
;---------------------------------------------------------------------------
;
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = command = "recovery"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = statetype = S
trigger1 = ctrl

[State -1]
type = ChangeState
value = 830
triggerall = command = "2k"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = statetype = S
trigger1 = ctrl

; Throw 3
[State -1, Throw]
type = ChangeState
value = 850
triggerall = command = "y" && command = "b"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd" || command = "holdback"

; Throw 4
[State -1, Throw]
type = ChangeState
value = 875
triggerall = command = "z" && command = "c"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd" || command = "holdback"


;===========================================================================
;=== TAUNT ========================================================================
;===========================================================================
;---------------------------------------------------------------------------
;Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl


;===========================================================================
;=== GOLPES ========================================================================
;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch      LONGE
[State -1, Stand Light Punch L]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = p2bodydist x >= 20
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 205
trigger2 = time > 6

;---------------------------------------------------------------------------
;Stand Light Punch     PERTO
[State -1, Stand Light Punch P]
type = ChangeState
value = 205
triggerall = command = "x"
triggerall = p2bodydist x <= 19
triggerall = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Stand Strong Punch
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = p2bodydist x >= 30
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Stand Strong Punch
[State -1, Stand Strong Punch]
type = ChangeState
value = 215
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = p2bodydist x <= 29
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Stand Strong Punch
[State -1, Stand Strong Punch]
type = ChangeState
value = 225
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 220) && movecontact

;-----------------------------------
;part 2
[State -1, Standing Strong Kick]
type = ChangeState
value = 710
triggerall = command = "c" || command = "b" || command = "a"
;triggerall = command != "holddown"
trigger1 = (stateno = 225) && movecontact
;trigger1 = statetype = S
;trigger1 = ctrl

;---------------------------------------------------------------------------
;Stand Strong Punch
[State -1, Stand Strong Punch]
type = ChangeState
value = 220
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 250) && movecontact


;---------------------------------------------------------------------------
;Stand Light Kick
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 6
trigger3 = (stateno = 230) && time > 7
trigger4 = (stateno = 260) && movecontact

;---------------------------------------------------------------------------
;Standing medium Kick
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 4
trigger3 = (stateno = 230) && time > 5
trigger4 = (stateno = 260) && movecontact

;---------------------------------------------------------------------------
;Standing Strong Kick
[State -1, Standing Strong Kick]
type = ChangeState
value = 250
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = p2bodydist x >= 7
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 240) && movecontact
trigger3 = (stateno = 260) && movecontact

;---------------------------------------------------------------------------
;Standing Strong Kick (close)
[State -1, Standing Strong Kick]
type = ChangeState
value = 260
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = p2bodydist x <= 7
trigger1 = statetype = S
trigger1 = ctrl


;---------------------------------------------------------------------------
;Crouching Light Punch
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Strong Punch
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Strong Punch
[State -1, Crouching Strong Punch]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Light Kick
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching medium Kick
[State -1, Crouching medium Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)
trigger3 = (stateno = 430) && movecontact

;---------------------------------------------------------------------------
;Crouching Strong Kick
[State -1, Crouching Strong Kick]
type = ChangeState
value = 450
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)
trigger3 = (stateno = 440) && movecontact

;---------------------------------------------------------------------------
;Jump Light Punch
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
;trigger2 = stateno = 600
;trigger2 = statetime >= 7
;trigger3 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 620
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 610
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
value = 650
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 630 || stateno = 640
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking

